---
slug: /le/getting-started/addons
---

# Getting Started

:::note

This isn't a simple task and takes some time to get the hang of. If you need any help just ask in the Discord :smile:

:::

![Image](https://cdn.galactiq.net/lethalextended/docs/img/docs.png)

## Creating a name

Creating a name and general topic is an important first step! Come back to these docs when you've got that figured out.

## Packaging the mods

Add-ons should follow a similar folder structure to the base Lethal-Extended modpack, but instead it'll be located **Inside** the plugins folder.

You can download an example layout template that displays 3 additional mods in their properly formatted folders.

When it comes to copying files to the mod subfolders you need to copy 3 of the following:

1. `manifest.json`

2. `<modname>.dll`

3. `<modname>.bundle` (If applicable)

:::warning

Keep in mind, some mods have other mods they depend on. Make sure to download all dependencies and add them to your pack as well! (Also make sure to check to see if the base Lethal-Extended modpack has those dependencies already.)

:::

| layout_template                                                                         |
| -------------------------------------------------------------------------------------   |
| [Click to Download](https://cdn.galactiq.net/lethalextended/docs/mysupercoolpack.zip)   |

![Image](https://cdn.galactiq.net/lethalextended/docs/img/packformat.png)

## Creating your own manifest.json

A manifest file is VERY important when it comes to the upkeep of packs. On Thunderstore it acts as a list for the app to know what exactly needs to be downloaded, however, in this instance, it helps us keep track of mod versions and pack versions.

| manifest_template                                                                       |
| -------------------------------------------------------------------------------------   |
| [Click to Download](https://cdn.galactiq.net/lethalextended/docs/manifest.json)         |

![Image](https://cdn.galactiq.net/lethalextended/docs/img/manifest.png)

### Values:

`name`: The name of your addon.

`version_numer`: Version your addon is on. (Should go up numerically as you update it)

`website_url`: If you have a Discord for your addon you should put the invite here.

`description`: What does your pack add/do?

### The Dependencies field

The final field in your `manifest.json` is the dependencies. This tells us what mods your pack includes. When you download mods from Thunderstore you can see their dependency string.

![Image](https://cdn.galactiq.net/lethalextended/docs/img/depstring.png)

Add it to the list of dependencies and make sure after every single one you add a`,` at the end to tell the file there is another line. Also make sure each dependency string is in a set of quotation marks: ""

![Image](https://cdn.galactiq.net/lethalextended/docs/img/manifestfin.png)

## Publishing your add-on

You can create a thread in the add-ons forum of the Discord community to show off your cool new add-on! By default add-ons will be marked as pending for verification to make sure everything is configured properly and DOESN'T violate any community rules.

This newly created thread will now be your discussion area for everyone who uses or wants to use your add-on. Once approved the add-on will show up on the Lethal-Utility file

## Updating your add-on

We recommend updating your add-on regularly to address bugs. If bugs start to pile up and there hasn't been any updates to the pack after an extended period of time, it'll be removed.

## Publishing on Github

If you use Github to keep track of your commits and create release packages then you can just forward us the link if you don't want to make a post in the forum, which will allow Lethal-Utility to always be up to date on your pack.